
Katello - Bug #4172

Bastion: JS error when saving with alch-selects

01/23/2014 08:13 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1112774 Red Hat JIRA:  

Pull request:    

Description

Error: [$compile:nonassign] Expression 'undefined' used with directive 'alchEditSelect' is non-ass

ignable!

http://errors.angularjs.org/1.2.0/$compile/nonassign?p0=undefined&p1=alchEditSelect

    at http://wraines-sandbox.rdu.redhat.com:3000/assets/bastion/angular/angular.js?body=1:79:12

    at parentSet (http://wraines-sandbox.rdu.redhat.com:3000/assets/bastion/angular/angular.js?bod

y=1:5996:25)

    at Object.parentValueWatch (http://wraines-sandbox.rdu.redhat.com:3000/assets/bastion/angular/

angular.js?body=1:6011:23)

    at Scope.$digest (http://wraines-sandbox.rdu.redhat.com:3000/assets/bastion/angular/angular.js

?body=1:11389:47)

    at Scope.$apply (http://wraines-sandbox.rdu.redhat.com:3000/assets/bastion/angular/angular.js?

body=1:11635:24)

    at HTMLButtonElement.<anonymous> (http://wraines-sandbox.rdu.redhat.com:3000/assets/bastion/an

gular/angular.js?body=1:17426:21)

    at HTMLButtonElement.jQuery.event.dispatch (http://wraines-sandbox.rdu.redhat.com:3000/assets/

jquery.js?body=1:3333:9)

    at HTMLButtonElement.elemData.handle.eventHandle (http://wraines-sandbox.rdu.redhat.com:3000/a

ssets/jquery.js?body=1:2942:28) 

 

Steps to Reproduce

1. Go to any alch-select

 2. Select an option

 3. Click save

 4. Note error

Associated revisions

Revision 585361cb - 06/17/2014 10:44 AM - Eric Helms

Fixes #4172: Prevent alch-edit-select errors by checking if editTrigger exists.

Revision 7a55316e - 06/17/2014 02:44 PM - Eric Helms

Fixes #4172: Prevent alch-edit-select errors by checking if editTrigger exists.

Revision 8fc4ad14 - 06/18/2014 03:44 PM - Eric Helms

Merge pull request #4285 from ehelms/fixes-4172

Fixes #4172: Prevent alch-edit-select errors by checking if editTrigger ...

Revision 869fdb78 - 06/18/2014 07:44 PM - Eric Helms

Merge pull request #4285 from ehelms/fixes-4172

Fixes #4172: Prevent alch-edit-select errors by checking if editTrigger ...
History

#1 - 01/23/2014 08:13 PM - Walden Raines

- Description updated

#2 - 04/25/2014 12:13 PM - Justin Sherrill

- translation missing: en.field_release set to 13

- Triaged set to No

#3 - 06/03/2014 03:26 PM - Eric Helms

- Assignee set to Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#4 - 06/16/2014 12:02 PM - Eric Helms

- Target version changed from 45 to 48

#5 - 06/18/2014 07:52 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:7a55316e83f9b1a252c36fb29e14f47975cb2ecd.

#6 - 06/24/2014 04:21 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1112774
